Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1047026 - [abrt] calibre: news.py:1153:build_index:ValueError: No articles found, aborting
Summary: [abrt] calibre: news.py:1153:build_index:ValueError: No articles found, aborting
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: calibre
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:d067db5da5d539e56108c6e13ad...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-28 14:01 UTC by samon007
Modified: 2015-02-18 11:01 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-18 11:01:30 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (1.08 KB, text/plain)
2013-12-28 14:01 UTC, samon007
no flags Details
File: environ (2.25 KB, text/plain)
2013-12-28 14:01 UTC, samon007
no flags Details

Description samon007 2013-12-28 14:01:03 UTC
Description of problem:
Telepolis seems to fit the recipe no longer

Version-Release number of selected component:
calibre-1.7.0-1.fc19

Additional info:
reporter:       libreport-2.1.10
cmdline:        python2 /usr/bin/calibre-parallel
executable:     /usr/bin/calibre-parallel
kernel:         3.11.10-200.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
news.py:1153:build_index:ValueError: No articles found, aborting

Traceback (most recent call last):
  File "/usr/bin/calibre-parallel", line 20, in <module>
    sys.exit(main())
  File "/usr/lib64/calibre/calibre/utils/ipc/worker.py", line 188, in main
    result = func(*args, **kwargs)
  File "/usr/lib64/calibre/calibre/gui2/convert/gui_conversion.py", line 25, in gui_convert
    plumber.run()
  File "/usr/lib64/calibre/calibre/ebooks/conversion/plumber.py", line 1035, in run
    accelerators, tdir)
  File "/usr/lib64/calibre/calibre/customize/conversion.py", line 241, in __call__
    log, accelerators)
  File "/usr/lib64/calibre/calibre/ebooks/conversion/plugins/recipe_input.py", line 113, in convert
    ro.download()
  File "/usr/lib64/calibre/calibre/web/feeds/news.py", line 980, in download
    res = self.build_index()
  File "/usr/lib64/calibre/calibre/web/feeds/news.py", line 1153, in build_index
    raise ValueError('No articles found, aborting')
ValueError: No articles found, aborting

Local variables in innermost frame:
feeds: []
self: <TelepolisArtikel object at 0x2ccf750>

Comment 1 samon007 2013-12-28 14:01:11 UTC
Created attachment 842635 [details]
File: backtrace

Comment 2 samon007 2013-12-28 14:01:13 UTC
Created attachment 842636 [details]
File: environ

Comment 3 Kevin Fenzi 2013-12-28 17:48:34 UTC
Can you see if the problem persists with the latest version from my copr: 

http://copr-fe.cloud.fedoraproject.org/coprs/kevin/calibre/

Comment 4 samon007 2013-12-28 21:35:43 UTC
I still get a coredump in version 1.17 from your repo.

I can reproce it by hitting the "Fetch News" Button. There I fetch News from "Telepolis (Artikel)" at Section "German (AT)"

Comment 5 samon007 2013-12-28 21:37:02 UTC
Btw: German/Telepolis works

Comment 6 Fedora End Of Life 2015-01-09 22:23:21 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2015-02-18 11:01:30 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.